/*侧边栏*/

.newsItem{
   background-color: #fff!importan;
    border-radius: 2px!importan;
    margin-bottom: 1.5rem!importan;
    overflow: hidden!importan;
}

#profile_block {
    margin-top: 5px;
    margin-left: 20px;
    padding-bottom: 20px;
    line-height: 1.5;
    text-align: left;
}

body {
 
  background-color: #f4f5f5;
  font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica
      Neue, PingFang SC, Hiragino Sans GB, Microsoft YaHei, sans-serif;
}
.postDesc{
background:none;
}

#home {
  max-width: 1140px;
  padding: 15px;
  background: transparent;
  box-shadow: none;
  margin-top: 0;
  width: auto;
}

#main {
  margin-top: 15px;
}

#mainContent .forFlow {
  padding-right: 20px;
}

/* 闈為槄璇诲尯鍩熷幓鎺夌櫧鑹茶儗鏅� */
.catListEssay,
.catListLink,
.catListNoteBook,
.catListTag,
.catListPostCategory,
.catListPostArchive,
.catListImageCategory,
.catListArticleArchive,
.catListView,
.catListFeedback,
.mySearch,
.catListComment,
.catListBlogRank,
.catList,
.catListArticleCategory {
  background-color: transparent;
}

/* **********************
 * 鍗氬椤甸
 * **********************/

/* 闅愯棌绯荤粺鏍囬 */
#blogTitle {
  display: none;
}

/* 椤堕儴閫氬憡鏉� */
.c-notice {
  padding: 10px 0;
  background: tan;
  font-size: 0.9em;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.16), 0 2px 6px rgba(0, 0, 0, 0.23);
  font-size: 15px;
}

.c-notice > div {
  max-width: 1140px;
  margin: 0 auto;
  padding: 0 15px;
}

.c-notice a {
  color: blue;
}

/* 澶村儚鍜岀ぞ浜� */
.c-portrait {
  text-align: center;
  padding: 50px 0;
  background: #39424b;
  color: #fff;
  margin-bottom: -40px;
}

/* 澶村儚 */
.c-portrait > img {
  display: inline-block;
  height: 80px;
  border-radius: 50%;
}

/* 鏍囬鍜岀鍚� */
.c-portrait h1 {
  font-size: 25px;
  font-weight: bold;
  margin: 5px 0;
}

.c-portrait h1 a {
  color: #fff;
}

.c-portrait h2 {
  font-size: 16px;
  margin: 7px 0 10px;
  color: #ccc;
}

/* 绀句氦鍥炬爣 */
.c-social a {
  color: #959da5;
  display: inline-block;
  vertical-align: middle;
}

/* **********************
 * 瀵艰埅鏍�
 * **********************/

#navigator {
  padding: 0 10px;
}

#stats_article_count {
  display: none;
}

/* **********************
 * 渚ц竟鏍�
 * **********************/

#sideBar {
  width: 250px;
  margin-top: 0;
}

#sideBar a {
  color: inherit;
}

/* 闅愯棌渚ц竟鍏憡鏍囬 */
.newsItem .catListTitle {
  display: none;
}

/* 澧炲姞鍒楄〃椤归棿璺� */
.sidebar-block li {
  margin-bottom: 5px;
}

/* **********************
 * 鏂囩珷鍒楄〃
 * **********************/

/* 鏂囩珷鍒楄〃 */
#topics .postTitle {
  font-size: 28px;
  margin: 35px 0 30px;
  padding-left: 0;
}

#mainContent .day {
  padding: 15px 20px;
  background: #fff;
}

#mainContent .day .postTitle a {
  display: inline-block;
}

/* **********************
 * 鏂囩珷璇︽儏
 * **********************/

pre {
  margin-bottom: 1.35em;
}

pre code {
  padding: 10px 16px !important;
}

.post {
  background: #fff;
  padding: 0 40px 60px;
  box-shadow: 0 2px 6px rgba(100, 100, 100, 0.3);
}

/* 鏂囩珷鏍囬 */
.postTitle {
  border-left: 8px solid #21759b;
  margin-bottom: 5px;
  font-weight: bold;
  line-height: 1;
  box-sizing: border-box;
}

.postTitle a:hover {
  margin-left: 0;
}

/* 鍘婚櫎棣栬缂╄繘 */
.postBody p,
.postCon p {
  text-indent: 0;
}

/* 閲嶅啓寮曠敤鍧楁牱寮� */
.postBody blockquote {
  min-height: auto;
  border-top: none;
  border-bottom: none;
  border-right: none;
  padding: 0 0 0 1em;
  background:none;
    color: #666!important;
    padding: 1px 23px!important;
    margin: 22px 0!important;
    border-left: 4px solid #cbcbcb!important;
    background-color: #f8f8f8!important;
}

/* 澧炲姞搴曢儴鐣欑櫧 */
#cnblogs_post_body {
  padding-bottom: 5px;
}

/* 闃叉鍥剧墖婧㈠嚭 */
#cnblogs_post_body img {
  max-width: 100%;
}

/* 鏂囩珷搴曢儴淇℃伅 */
.postDesc {
  margin-top: 0;
}

/* **********************
 * 璇勮
 * **********************/

#comment_form_container .comment_textarea {
  width: 100%;
}

.comment_vote {
  padding-right: 2px;
  font-size: 14px;
  margin-top: 10px;
}

.comment_vote a.comment_digg {
  color: #f80;
}

.feedbackItem {
  margin: 20px 0 25px;
  background: #fff;
  padding: 10px 15px;
}

.feedbackCon {
  font-size: 13px;
  border-bottom: 0;
  padding: 10px 5px 0 5px;
  text-align: justify;
}

/* **********************
 * 鏂囩珷璇勪环
 * **********************/

#div_digg {
  position: fixed;
  right: 30px;
  bottom: 50px;
  background: #fff;
  padding: 20px 20px 15px;
  border-radius: 5px;
  border: 1px solid #888;
  box-shadow: 0 0 0 5px rgba(0, 0, 0, 0.3);
}

/* **********************
 * 闅愯棌骞垮憡
 * **********************/

#ad_t2,
#opt_under_post,
.c_ad_block,
#under_post_news,
#under_post_kb {
  display: none !important;
}

/* **********************
 * 閫傞厤鎵嬫満
 * **********************/

@media (max-width: 767px) {
  #home {
    padding-left: 0;
    padding-right: 0;
  }
  #div_digg {
    width: auto;
    padding: 0;
    right: -25px;
    bottom: 3px;
    box-shadow: none;
  }
  #div_digg .buryit {
    display: none;
  }
  #mainContent .forFlow {
    padding-right: 0;
  }
  #mainContent .post {
    padding: 0 20px;
  }

  #sideBar,
  #blog-comments-placeholder {
    padding: 0 15px;
  }
}
.buryit{
display:none;
}
#div_digg {
    float: right;
    margin-bottom: 13px;
    margin-right: 30px;
    font-size: 12px;
    width: 50px;
    text-align: center;
    margin-top: 10px;
    text-shadow: 0 0 black;
}

/*代码主题*/
/* 单行代码 */

.cnblogs-markdown {
font-family: -apple-system,BlinkMacSystemFont,Segoe UI,Helvetica,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji;
    font-size: 15px;
    line-height: 1.4;
letter-spacing: 0.5px;
    word-wrap: break-word;
}

/*.cnblogs-markdown code {
    font-family: Consolas, "Microsoft YaHei", monospace !important;
    font-size: 13px!important;
    color: #c7254e;
    line-height: 20px;
    background-color: #f6f8fa!important;
    border: none;
    line-height: 1.5;
    margin: 1px 5px;
    vertical-align: middle;
    display: inline-block;
    padding: 16px!important;
    border: none;
    border-radius: 3px;
}*/
.cnblogs-markdown code {
   font-family: Menlo,Monaco,Consolas,Courier New,monospace!important;
    background-color: #fff5f5!important;
    color: #ff502c;
    padding: .065em .4em!important; 
    border-radius: 2px!important;
    overflow-x: auto!important;
    word-break: break-word!important;

}

/* 多行代码, 引用 */
.cnblogs-markdown .hljs {
    font-family: Consolas, "Microsoft YaHei", monospace !important;
    font-size: 13px!important;
    background-color: #f6f8fa!important;
    line-height: 1.3!important;
    padding: 16px!important;
    border: none;
    border-radius: 3px;
}
.hljs-keyword, .hljs-selector-tag, .hljs-built_in, .hljs-name, .hljs-tag {
   color: #d73a49!important; 
}
.hljs-string, .hljs-title, .hljs-section, .hljs-attribute, .hljs-literal, .hljs-template-tag, .hljs-template-variable, .hljs-type, .hljs-addition {
    color: #005cc5!important; 
}
.cnblogs-markdown blockquote {
    padding: 0 1em;
    color: #6a737d;
    border-left: .25em solid #dfe2e5;
}
.cnblogs-markdown code, .cnblogs-post-body code {
  border: none!important;
  margin: 1px 2px;
}
.cnblogs-markdown .hljs-comment{
font-size: 13px!important;
line-height: 1.3!important;
color: #6a737d!important;
}

.cnblogs-markdown hr:before {
  display: table;
  content: "";
}

.cnblogs-markdown hr:after {
  display: table;
  clear: both;
  content: "";
}
/* 表格 */
.cnblogs-markdown table {
  border: none;
  width: 100%;
  overflow: auto;
  word-break: normal;
  word-break: keep-all;
  font-family: Consolas, "Microsoft YaHei", monospace !important;
  font-size: 16px!important;
}
/* 表格 表头 */
.cnblogs-markdown table th {
  font-weight: bold;
}
/* 表格 行，列 */
.cnblogs-markdown table th,
.cnblogs-markdown table td {
  padding: 6px 13px;
  border: none;
}

.cnblogs-markdown table tr {
  background-color: #fff;
  border-top: none;
}

.cnblogs-markdown table tr:nth-child(2n) {
  background-color: #f8f8f8;
}

/*only for syntaxhighlighter */
/*--start--*/
.cnblogs-markdown .syntaxhighlighter table td.code {
  width:95% !important; 
}

.cnblogs-markdown p,
.cnblogs-markdown blockquote,
.cnblogs-markdown ul,
.cnblogs-markdown ol,
.cnblogs-markdown dl,
.cnblogs-markdown table,
.cnblogs-markdown pre {
  margin-top: 0;
  margin-bottom: 16px;
}